%define anolis_release 1
%bcond_with tests

Name:           wayland-protocols
Version:        1.41
Release:        %{anolis_release}%{?dist}
Summary:        Wayland protocols that adds functionality not available in the core protocol
License:        MIT
URL:            https://wayland.freedesktop.org/
Source0:        https://gitlab.freedesktop.org/wayland/%{name}/-/releases/%{version}/downloads/%{name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:	meson >= 0.55.0 wayland-devel
%if %{with tests}
BuildRequires:	gcc gcc-c++
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-scanner) >= 1.20.0
BuildRequires:	pkgconfig(wayland-server)
%endif

%description
Wayland is a replacement for the X11 window system protocol and architecture
with the aim to be easier to develop, extend, and maintain.

Wayland is the language (protocol) that applications can use to talk to a
display server in order to make themselves visible and get input from the
user (a person). A Wayland server is called a "compositor". Applications are Wayland clients.

Wayland also refers to a system architecture. It is not just a server-client
relationship between a compositor and applications. There is no single common
Wayland server like Xorg is for X11, but every graphical environment brings with
it one of many compositor implementations. Window management and the end user
experience are often tied to the compositor rather than swappable components.

wayland-protocols contains Wayland protocols that adds functionality not
available in the Wayland core protocol. Such protocols either adds
completely new functionality, or extends the functionality of some other
protocol either in Wayland core, or some other protocol in
wayland-protocols.

%package devel
Summary:        Development files for %{name}

%description devel
This package contains the libraries and header files that are needed
for writing applications with %{name}

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name}-devel = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%meson \
%if %{with tests}
  -Dtests=true \
%else
  -Dtests=false \
%endif
  %{nil}
%meson_build

%install
%meson_install

%files devel
%license COPYING
%{_datadir}/pkgconfig/%{name}.pc
%{_datadir}/%{name}/

%files doc
%doc README.md

%changelog
* Tue Mar 25 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.41-1
- Update to 1.41 from 1.32

* Tue Dec 12 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.32-2
- rebuild

* Sun Aug 6 2023 Funda Wang <fundawang@yeah.net> - 1.32-1
- New version 1.32

* Tue Apr 11 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> - 1.31-2
- Optimize spec file

* Tue Jan 24 2023 Funda Wang <fundawang@yeah.net> - 1.31-1
- Import package for anolis 23
